be.ehealth.technicalconnector.config

## Class ConfigFactory

- java.lang.Object
- - be.ehealth.technicalconnector.config.ConfigFactory

-     public final class ConfigFactory
      extends Object

  Factory that manages a buffer of couples `ConfigValidator`/Properties

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_CONFIG` Default config location
    `static String` | `SYSTEM_PROP_CONFIG_LOCATION` System property used to set the location the properties file on startup

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getConfigLocation()`
    `static ConfigValidator` | `getConfigValidator()`
    `static ConfigValidator` | `getConfigValidator(List<String> expectedProps)`
    `static ConfigValidator` | `getConfigValidatorFor(String... expectedProps)` returns the ConfigValidator for the given required properties.
    `static void` | `invalidate()` This method will invalidate all the config instances due to reload properties.
    `static void` | `setConfigLocation(String configLocation)`
    `static void` | `setConfiguration(Configuration configuration)`
    `static void` | `setLocation(InputStream is)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SYSTEM_PROP_CONFIG_LOCATION

          public static final String SYSTEM_PROP_CONFIG_LOCATION

      System property used to set the location the properties file on startup
      See Also:
        Constant Field Values

    - #### DEFAULT_CONFIG

          public static final String DEFAULT_CONFIG

      Default config location
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getConfigValidator

          public static ConfigValidator getConfigValidator()

    - #### getConfigValidator

          public static ConfigValidator getConfigValidator(List<String> expectedProps)

    - #### getConfigValidatorFor

          public static ConfigValidator getConfigValidatorFor(String... expectedProps)

      returns the ConfigValidator for the given required properties.
      Parameters:
        `expectedProps` - one ore more required property name
      Returns:
        `ConfigValidator`

    - #### invalidate

          public static void invalidate()

      This method will invalidate all the config instances due to reload properties.

    - #### getConfigLocation

          public static String getConfigLocation()

      Returns:
        the configLocation

    - #### setConfigLocation

          public static void setConfigLocation(String configLocation)
                                        throws TechnicalConnectorException

      Parameters:
        `configLocation` - the configLocation to set
      Throws:
        `TechnicalConnectorException`

    - #### setLocation

          public static void setLocation(InputStream is)
                                  throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### setConfiguration

          public static void setConfiguration(Configuration configuration)

Connector Packaging PERSLOGOPEDIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.